//Analog read pins
const int xPin = 0;
const int yPin = 1;
const int zPin = 2;

int minVal = 265;
int maxVal = 402;

//to hold the caculated values
double x_a;
double y_a;
double z_a;

void Read_Analog_Accel ()
{

  //read the analog values from the accelerometer
  int xRead = analogRead(xPin);
  int yRead = analogRead(yPin);
  int zRead = analogRead(zPin);

  //convert read values to degrees -90 to 90 - Needed for atan2
  int xAng = map(xRead, minVal, maxVal, -90, 90);
  int yAng = map(yRead, minVal, maxVal, -90, 90);
  int zAng = map(zRead, minVal, maxVal, -90, 90);

  //Caculate 360deg values like so: atan2(-yAng, -zAng)
  //atan2 outputs the value of -π to π (radians)
  //We are then converting the radians to degrees
  x_a = RAD_TO_DEG * (atan2(-yAng, -zAng) + PI);
  y_a = RAD_TO_DEG * (atan2(-xAng, -zAng) + PI);
  z_a = RAD_TO_DEG * (atan2(-yAng, -xAng) + PI);

  //Output the caculations
  Serial.print("IMO :");
  Serial.print(x_a);
  Serial.print(", ");
  Serial.print(y_a);
  Serial.print(", ");
  Serial.println(z_a);

  
}

