//              Interactive Jacket for Cyclists                //
//            Ahmed Mujtaba Chang & Muhammad Habib             //


#include <SimpleTimer.h>
#include <Wire.h>
#include <SPI.h>
#include <SparkFunLSM9DS1.h>

LSM9DS1 imu;
#define LSM9DS1_M  0x1E // Would be 0x1C if SDO_M is LOW
#define LSM9DS1_AG  0x6B // Would be 0x6A if SDO_AG is LOW
#define PRINT_CALCULATED
//#define DECLINATION -8.58 // Declination (degrees) in Boulder, CO.
#define DECLINATION -9.8 // Declination (degrees) in Boulder, CO.

void (*softReset) (void) = 0;   //RESET Function

SimpleTimer timer;

bool LeftOn = 0;
bool RightOn = 0;

//Defines Pin Numbers
#define LeftLED 10
#define RightLED 11
#define BrakeLED 9
#define FrontLED 8


#define PotPin A3


//Defines Delays
#define LEDsOnTime 4000
#define LEDsBlinkSpeed 50
#define IMUReadSpeed 100

#define LEDBrakeSpeed
#define LEDFrontSpeed


//IMU stuff
float pitch;
float roll;
float heading;

float gyrox;
float gyroy;
float gyroz;

float accx;
float accy;
float accz;


void setup() {
  Serial.begin(115200);
  Serial.println("Init");

  InitIMU();

  pinMode(LeftLED, OUTPUT);
  pinMode(RightLED, OUTPUT);
  pinMode(BrakeLED, OUTPUT);
  pinMode(FrontLED, OUTPUT);

  delay(1000);
  timer.setInterval(IMUReadSpeed, DoIMU);
  timer.setInterval(LEDsBlinkSpeed, Blinker );

  initBlinky();

}

void loop() {
  timer.run();
  if ( imu.gyroAvailable() )
  {
    imu.readGyro();
  }
  if ( imu.accelAvailable() )
  {
    imu.readAccel();
  }
  if ( imu.magAvailable() )
  {
    imu.readMag();
  }
  ReadPot();
  DoLogic();
  DoLogic2();
}
